! Copyright (C) 2009  Daniel Filkovic

! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
! %                                                      %
! %            APAME - Aircraft Panel Method             %
! %______________________________________________________%
! %                                                      %
! %              3D potential flow solver                %
! %                                                      %
! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

! This file is part of APAME.

! APAME is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.

! APAME is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the Gmax_rowU General Public License
! along with APAME.  If not, see <http://www.gnu.org/licenses/>.

! file calculate_sigma.f90

subroutine calculate_sigma(sigma,Vx,Vy,Vz,column_number,row_number,panel_number,n1,n2,n3)

implicit none

integer i,j,k
integer, intent(in) :: column_number,row_number,panel_number
real, intent(in) :: Vx,Vy,Vz
real, dimension(row_number,column_number), intent(in) :: n1,n2,n3
real, dimension(panel_number), intent(out) :: sigma

! calculating source strength
k = 0
do i=1,row_number
    do j=1,column_number
        k = k+1
        sigma(k) = n1(i,j)*Vx + n2(i,j)*Vy + n3(i,j)*Vz
    enddo
enddo

return
end subroutine

