! Copyright (C) 2009  Daniel Filkovic

! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
! %                                                      %
! %            APAME - Aircraft Panel Method             %
! %______________________________________________________%
! %                                                      %
! %              3D potential flow solver                %
! %                                                      %
! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

! This file is part of APAME.

! APAME is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.

! APAME is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with APAME.  If not, see <http://www.gnu.org/licenses/>.

! file comp_infl_const_doubl_wake.f90

subroutine comp_infl_const_doubl_wake(a,FF,error,S,&
    &column_number,row_number,row_number1,panel_number,&
    &u1,u2,u3,o1,o2,o3,n1,n2,n3,cx,cy,cz,x1,y1,x2,y2,x3,y3,x4,y4,d1,d2,d3,d4,&
    &column_number_other,row_number_other,row_number1_other,panel_number_other,&
    &cx_other,cy_other,cz_other)

implicit none

integer i,j,k,l,m,n
integer, intent(in) :: &
    &column_number,      row_number,      row_number1,      panel_number,&
    &column_number_other,row_number_other,row_number1_other,panel_number_other
real, intent(in) :: error
real a_wake
real, dimension(row_number1,column_number), intent(in) :: FF,S,&
    &u1,u2,u3,o1,o2,o3,n1,n2,n3,cx,cy,cz,x1,y1,x2,y2,x3,y3,x4,y4,d1,d2,d3,d4
real, dimension(row_number1_other,column_number_other), intent(in) :: cx_other,cy_other,cz_other
real, dimension(panel_number_other,panel_number), intent(inout) :: a

! calculation of trail wake influence coefficients
m = 0
do k=1,row_number
    do l=1,column_number
        m = m+1
        n = 0
        do i=1,row_number_other
            do j=1,column_number_other
                n = n+1
                if (k .eq. 1) then
                    call infl_const_doubl(a_wake,FF(row_number1,l),&
                        &cx_other(i,j),cy_other(i,j),cz_other(i,j),cx(row_number1,l),cy(row_number1,l),cz(row_number1,l),&
                        &u1(row_number1,l),u2(row_number1,l),u3(row_number1,l),&
                        &o1(row_number1,l),o2(row_number1,l),o3(row_number1,l),&
                        &n1(row_number1,l),n2(row_number1,l),n3(row_number1,l),&
                        &S(row_number1,l),x1(row_number1,l),x2(row_number1,l),x3(row_number1,l),x4(row_number1,l),&
                        &y1(row_number1,l),y2(row_number1,l),y3(row_number1,l),y4(row_number1,l),&
                        &error,d1(row_number1,l),d2(row_number1,l),d3(row_number1,l),d4(row_number1,l))
                    a(n,m) = a(n,m)-a_wake
                    a(n,panel_number-column_number+l) = a(n,panel_number-column_number+l)+a_wake
                endif
            enddo
        enddo
    enddo
enddo

return
end subroutine

