! Copyright (C) 2009  Daniel Filkovic

! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
! %                                                      %
! %            APAME - Aircraft Panel Method             %
! %______________________________________________________%
! %                                                      %
! %              3D potential flow solver                %
! %                                                      %
! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

! This file is part of APAME.

! APAME is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.

! APAME is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the Gmax_rowU General Public License
! along with APAME.  If not, see <http://www.gnu.org/licenses/>.

! file pan_numb.f90

subroutine pan_numb(component_number,row_number1,column_number1,row_number,column_number,panel_number,max_panel_number,panel_total)

implicit none

integer i
integer, intent(in) :: component_number
integer, dimension(component_number), intent(in) :: row_number1,column_number1
integer, dimension(component_number), intent(out) :: row_number,column_number,panel_number
integer, intent(out) :: max_panel_number,panel_total

panel_total = 0
max_panel_number = 0
do i=1,component_number
    row_number(i) = row_number1(i)-1
    column_number(i) = column_number1(i)-1
    panel_number(i) = row_number(i)*column_number(i)
    if (panel_number(i) .gt. max_panel_number) then
        max_panel_number = panel_number(i)
    endif
    panel_total = panel_total + panel_number(i)
enddo

return
end subroutine

