! Copyright (C) 2009  Daniel Filkovic

! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
! %                                                      %
! %            APAME - Aircraft Panel Method             %
! %______________________________________________________%
! %                                                      %
! %              3D potential flow solver                %
! %                                                      %
! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

! This file is part of APAME.

! APAME is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.

! APAME is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the Gmax_rowU General Public License
! along with APAME.  If not, see <http://www.gnu.org/licenses/>.

! file read_geom.f90

subroutine read_geom(max_row2,max_column1,component_number,x,y,z,component_name,row_number1,column_number1,lifting)

implicit none

integer, intent(in) :: max_row2,max_column1,component_number
real, dimension(max_row2,max_column1,component_number), intent(out) :: x,y,z
character*50, dimension(component_number), intent(out) ::  component_name
integer, dimension(component_number), intent(out) :: row_number1,column_number1,lifting

integer j,k,l

l = 0
do j=1,component_number
    l = l+1
    read(1,*) component_name(l),row_number1(l),column_number1(l),lifting(l)
    do k=1,row_number1(l)
        read(1,*) x(k,1:column_number1(l),j)
    enddo
    do k=1,row_number1(l)
        read(1,*) y(k,1:column_number1(l),j)
    enddo
    do k=1,row_number1(l)
        read(1,*) z(k,1:column_number1(l),j)
    enddo
enddo

return
end subroutine

