! Copyright (C) 2009  Daniel Filkovic

! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
! %                                                      %
! %            APAME - Aircraft Panel Method             %
! %______________________________________________________%
! %                                                      %
! %              3D potential flow solver                %
! %                                                      %
! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

! This file is part of APAME.

! APAME is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.

! APAME is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the Gmax_rowU General Public License
! along with APAME.  If not, see <http://www.gnu.org/licenses/>.

! file toc.f90

subroutine toc(interactive,start_time,string)

implicit none

real, intent(in) :: start_time
real total_time,second
integer, intent(in) :: interactive
integer hour,minute
character(10) :: time
character(len=*), intent(in) :: string

call date_and_time(TIME=time)
read (time,100) hour
read (time,101) minute
read (time,102) second

total_time = (hour*3600+minute*60+second) - start_time
if (interactive .eq. 1) then
    write (6,103) string,total_time,"s"
    write (2,103) string,total_time,"s"
else
    write (2,103) string,total_time,"s"
endif

100 format(i2)
101 format(2x,i2)
102 format(4x,F6.3)
103 format(1x,a,F8.3,1x,a)

return
end subroutine

