! Copyright (C) 2009  Daniel Filkovic

! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
! %                                                      %
! %            APAME - Aircraft Panel Method             %
! %______________________________________________________%
! %                                                      %
! %              3D potential flow solver                %
! %                                                      %
! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

! This file is part of APAME.

! APAME is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.

! APAME is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the Gmax_rowU General Public License
! along with APAME.  If not, see <http://www.gnu.org/licenses/>.

! file write_case.f90

subroutine write_case(interactive,numalfa,numbeta,alfa,beta)

implicit none

integer, intent(in) :: interactive,numalfa,numbeta
real, dimension(numalfa), intent(in) :: alfa
real, dimension(numbeta), intent(in) :: beta

integer i
real pi
real, dimension(numalfa) :: alfa_deg
real, dimension(numbeta) :: beta_deg

parameter (pi=0.31415927E+01)

alfa_deg = alfa/pi*180
beta_deg = beta/pi*180

call message(interactive,"    Angles of interest [deg]:")
call new_line(interactive)
call message(interactive,"        Angles of attack:")
if (interactive .eq. 1) then
    do i=1,numalfa
        write (6,100) alfa_deg(i)
        write (2,100) alfa_deg(i)
    enddo
else
    do i=1,numalfa
        write (2,100) alfa_deg(i)
    enddo
endif
call new_line(interactive)
call message(interactive,"        Sideslip angles: ")
if (interactive .eq. 1) then
    do i=1,numbeta
        write (6,100) beta_deg(i)
        write (2,100) beta_deg(i)
    enddo
else
    do i=1,numbeta
        write (2,100) beta_deg(i)
    enddo
endif
call new_line(interactive)

100 format(1x,f5.1,$)

return
end subroutine

