! Copyright (C) 2009  Daniel Filkovic

! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
! %                                                      %
! %            APAME - Aircraft Panel Method             %
! %______________________________________________________%
! %                                                      %
! %              3D potential flow solver                %
! %                                                      %
! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

! This file is part of APAME.

! APAME is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.

! APAME is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the Gmax_rowU General Public License
! along with APAME.  If not, see <http://www.gnu.org/licenses/>.

! file write_coef.f90

subroutine write_coef(interactive,case_number,coef_x,coef_y,coef_z,coef_l,coef_m,coef_n)

implicit none

integer i
integer, intent(in) :: interactive,case_number
real, dimension(case_number), intent(in) :: coef_x,coef_y,coef_z,coef_l,coef_m,coef_n

call message(interactive,"    Calculated coefficients:")
call new_line(interactive)
if (interactive .eq. 1) then
    call message(interactive,"             CX      CY      CZ      CL      CM      CN")
    do i=1,case_number
        write (6,'(/,a,$)') "        "
        write (2,'(/,a,$)') "        "
        write (6,100) coef_x(i)
        write (6,100) coef_y(i)
        write (6,100) coef_z(i)
        write (6,100) coef_l(i)
        write (6,100) coef_m(i)
        write (6,100) coef_n(i)
        write (2,100) coef_x(i)
        write (2,100) coef_y(i)
        write (2,100) coef_z(i)
        write (2,100) coef_l(i)
        write (2,100) coef_m(i)
        write (2,100) coef_n(i)
    enddo
else
    call message(interactive,"             CX      CY      CZ      CL      CM      CN")
    do i=1,case_number
        write (2,'(/,a,$)') "        "
        write (2,100) coef_x(i)
        write (2,100) coef_y(i)
        write (2,100) coef_z(i)
        write (2,100) coef_l(i)
        write (2,100) coef_m(i)
        write (2,100) coef_n(i)
    enddo
endif
call message(interactive,"")
call message(interactive,"")

100 format(1x,F7.4,$)

return
end subroutine
