! Copyright (C) 2009  Daniel Filkovic

! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
! %                                                      %
! %            APAME - Aircraft Panel Method             %
! %______________________________________________________%
! %                                                      %
! %              3D potential flow solver                %
! %                                                      %
! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

! This file is part of APAME.

! APAME is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.

! APAME is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the Gmax_rowU General Public License
! along with APAME.  If not, see <http://www.gnu.org/licenses/>.

! file write_key.f90

subroutine write_key(interactive,speed,ro,p_ref,mach,wing_span,mac,wing_surf,origin,method,&
    &wake,error,farfield,collcalc,velorder,velometh,find_ac,component_number)

implicit none

integer, intent(in) :: interactive,component_number,collcalc,velorder,velometh,find_ac,method
real, intent(in) :: speed,ro,p_ref,mach,wing_span,mac,wing_surf,wake,error,farfield
real,dimension(3), intent(in) :: origin

call message(interactive,"    KEYWORD values:")
call new_line(interactive)
if (interactive .eq. 1) then
    write (6,100) "Airspeed:                   ",speed
    write (6,100) "Density:                    ",ro
    write (6,102) "Atmospheric pressure: ",p_ref
    write (6,100) "Mach number:                ",mach
    write (6,100) "Wing span:                  ",wing_span
    write (6,100) "Mean aerodynamic chord:     ",mac
    write (6,101) "Wing surface:             ",wing_surf
    write (6,104) "Find aerodynamic center:   ",find_ac
    write (6,105) "Origin:                     ",origin
    write (6,104) "Calculation method:        ",method
    write (6,102) "Wake length:          ",wake
    write (6,103) "Error parameter:              ",error
    write (6,100) "Farfield parameter:         ",farfield
    write (6,104) "Collocation calculation:   ",collcalc
    write (6,104) "Velocity interp. order:    ",velorder
    write (6,104) "Velocity interp. method:   ",velometh
    write (6,104) "Number of components:      ",component_number
    write (2,100) "Airspeed:                   ",speed
    write (2,100) "Density:                    ",ro
    write (2,102) "Atmospheric pressure: ",p_ref
    write (2,100) "Mach number:                ",mach
    write (2,100) "Wing span:                  ",wing_span
    write (2,100) "Mean aerodynamic chord:     ",mac
    write (2,101) "Wing surface:             ",wing_surf
    write (2,104) "Find aerodynamic center:   ",find_ac
    write (2,105) "Origin:                     ",origin
    write (2,104) "Calculation method:        ",method
    write (2,102) "Wake length:          ",wake
    write (2,103) "Error parameter:              ",error
    write (2,100) "Farfield parameter:         ",farfield
    write (2,104) "Collocation calculation:   ",collcalc
    write (2,104) "Velocity interp. order:    ",velorder
    write (2,104) "Velocity interp. method:   ",velometh
    write (2,104) "Number of components:      ",component_number
else
    write (2,100) "Airspeed:                   ",speed
    write (2,100) "Density:                    ",ro
    write (2,102) "Atmospheric pressure: ",p_ref
    write (2,100) "Mach number:                ",mach
    write (2,100) "Wing span:                  ",wing_span
    write (2,100) "Mean aerodynamic chord:     ",mac
    write (2,101) "Wing surface:             ",wing_surf
    write (2,104) "Find aerodynamic center:   ",find_ac
    write (2,105) "Origin:                     ",origin
    write (2,104) "Calculation method:        ",method
    write (2,102) "Wake length:          ",wake
    write (2,103) "Error parameter:              ",error
    write (2,100) "Farfield parameter:         ",farfield
    write (2,104) "Collocation calculation:   ",collcalc
    write (2,104) "Velocity interp. order:    ",velorder
    write (2,104) "Velocity interp. method:   ",velometh
    write (2,104) "Number of components:      ",component_number
endif
call new_line(interactive)

100 format(9x,a,f7.3)
101 format(9x,a,f8.2)
102 format(9x,a,f10.0)
103 format(9x,a,e7.1)
104 format(9x,a,i4)
105 format(9x,a,f6.2,1x,f6.2,1x,f6.2)

return
end subroutine

